Application Citrix Workspace

Configuration système requise et compatibilité

Configuration système requise

Au préalable, assurez-vous d’avoir installé l’application Citrix Workspace à l’aide de droits d’administrateur.

Versions minimales des composants Citrix

  • Application Citrix Workspace 2108 pour Linux
  • Application Citrix Workspace 2203.1 LTSR pour Windows
  • Application Citrix Workspace 2002 pour Windows
  • Application Citrix Workspace 2305.1 pour Windows (Store)
  • Application Citrix Workspace 2001 pour Mac
  • StoreFront 1912 LTSR
  • Delivery Controller 1912
  • Licences Citrix valides. Pour plus d’informations, contactez votre représentant commercial Citrix ou votre partenaire Citrix.

Remarque :

Si les utilisateurs utilisent des appareils ou des versions de l’application Workspace qui ne prennent pas en charge la protection des applications, ils ne pourront pas accéder aux ressources protégées. Les ressources protégées incluent Virtual Apps and Desktops et les applications Web et SaaS.

Licences

La section suivante explique les différents types de licences disponibles pour App Protection en fonction des produits, des plateformes et des cas d’utilisation.

VDI géré par le service informatique

Pour toutes les éditions de VDI géré par le service informatique, la protection des applications est disponible sous forme de module complémentaire. Pour plus d’informations, consultez la section VDI géré par le service informatique.

Citrix DaaS pour Hyperscalers

Citrix DaaS

Dans l’article Feature Matrix for Citrix DaaS, accédez à DaaS cloud Services > Security and Monitoring > App Protection.

Citrix Secure Private Access

App Protection est disponible sous forme de pièce jointe autonome pour Citrix Secure Private Access. Pour plus d’informations, accédez à Citrix cloud services > Citrix Secure Private Access dans l’article Service descriptions for Citrix Services.

Abonnement Citrix Universal

La protection des applications est incluse dans les services suivants :

  • Citrix Universal Premium
  • Citrix Universal Premium Plus

Elle est disponible en tant que module complémentaire avec les éditions suivantes :

  • Citrix Universal Advanced
  • Citrix Universal Advanced Plus

Pour en savoir plus, consultez cet article.

Plates-formes du système d’exploitation

L’exécution des stratégies de protection des applications est installée sur le point de terminaison à partir duquel vous vous connectez et non sur le VDA auquel vous vous connectez. Par conséquent, seule la version du système d’exploitation du point de terminaison a une importance. (La protection des applications peut se connecter aux VDA hébergés sur tous les systèmes d’exploitation pris en charge décrits dans Configuration requise pour Citrix Virtual Apps and Desktops.)

La fonctionnalité de protection des applications est prise en charge sur les points de terminaison exécutant les systèmes d’exploitation suivants :

  • Windows 11
  • Windows 10
  • Windows 8.1
  • macOS High Sierra (10.13) et versions ultérieures
  • Ubuntu 20.04 et Ubuntu 22.04 64 bits
  • Debian 9 et Debian 10 64 bits
  • CentOS 7 64 bits
  • RHEL 7 64 bits
  • Système d’exploitation Raspberry Pi 32 bits ARMHF (basé sur Debian 10 (Buster))
  • Système d’exploitation ARM64 Raspberry Pi (basé sur Debian 11 (bullseye))

Remarque :

Pour App Protection, l’application Citrix Workspace pour Linux nécessite Gnome Display Manager avec les systèmes d’exploitation pris en charge.

Matrice de compatibilité

Matrice de compatibilité pour les produits basés sur Citrix Cloud

Les fonctionnalités App Protection compatibles avec les produits basés sur Citrix Cloud sont les suivantes :

Fonctionnalité Citrix Cloud Citrix Cloud Japan
Protection contre l’enregistrement de frappe et protection contre les captures d’écran pour les applications et bureaux virtuels Oui Oui
Protection contre l’enregistrement de frappe et protection contre les captures d’écran pour les applications Web ou SaaS Oui Non
Anti-DLL pour Windows Oui Oui via un objet de stratégie de groupe (GPO)
Liste d’autorisations anti-DLL Oui Oui via un GPO
Global App Configuration Service (GACS) Oui Non
Protection des écrans d’authentification et de Self-Service plug-in pour Linux Oui Oui via AuthManConfig.xml
Protection des écrans d’authentification et de Self-Service plug-in pour Mac Oui, par le biais du GACS Oui, par le biais du GACS
Protection des écrans d’authentification et de Self-Service plug-in pour Windows Oui Oui via un GPO
Événements de capture d’écran CAS App Protection Oui Non
Protection contextuelle des applications Oui Oui, en fonction de l’utilisateur
Détection d’altération des stratégies Oui Oui
Vérification de la posture d’App Protection Oui Oui
Liste d’autorisations ou filtres d’applications locales - Windows Oui Oui via un GPO
App Protection locale – Windows Oui Oui via un GPO
Configuration système requise et compatibilité